Legacy Integration Server Pre-Upgrade Analyzer

Overview

The Pre-Upgrade Analyzer analyzes your old Integration Server installation, compares it to the new release, and generates reports that list the following:

  • Custom services using built-in services that were deprecated, removed, or changed in a later release. Full details about each deprecation, removal, or change is available in the Integration Server readme.
  • Custom packages using custom services or documents that do not exist.
  • Custom assets that are not used by any of your existing integrations.
  • Custom services using Integration Server debug services (pub.flow:debugLog, pub.flow:savePipelineToFile).

Supported Product Versions

Integration Server - 6.0 → 10.7

Supported Operating Systems

AIX, Linux ,macOS, Solaris, Windows

Download and Installation

To use the analyzer:

Follow the instructions in Upgrading Software AG Products to install the new Integration Server and prepare the old installation.
If you install the new Integration Server on a new machine, preparation will include copying ZIP files containing the packages from the old installation to the new machine.
Download the analyzer into any directory on that machine and unzip the archive.
Go to the wxanalyze-project.properties file, open it in a text editor, and set the user-defined properties.
Make sure you have write access to the temp directory set on the wx.analyzer.tempdir property (by default, ./temp/).
Go to the directory into which you unzipped the archive and run the command bat [wxanalyze.log].
By default, the Pre-Upgrade Analyzer outputs activity messages to the console. The wxanalyze.log options lets you persist the activity messages instead.

By default, the analyzer logs activity messages at the INFO log level to standard out/console. If the analyzer experiences any failures, it logs entries starting with WARN or ERROR. If you want to change the log level to DEBUG or TRACE, create a new file named log4j.properties in the same directory as the run.bat script and insert the content below.

log4j.logger.com.softwareag.wx_analyze={DEBUG | TRACE}, analyzer
log4j_appender_analyzer=org.apache.log4j.ConsoleAppender
log4j_appender_analyzer.layout=org.apache.log4j.PatternLayout
log4j_appender_analyzer.layout.ConversionPattern=%-5p $d{dd-MMM-yyyy HH:mm:ss} - %c{1}: %m%n

Remark: The analyzer might not support analysis of very large installations.

Disclaimer

This tool is provided by Software AG as-is and without warranty or support. It does not constitute part of the Software AG product suite.
Pre-UpgradeAnalyzer_2021-02-05.zip (21.7 MB)

2 Likes

Hi Team,

Do we have the details of pre-upgradeanalyse for the Linux platform. If yes please provide them.

Thanks
Janavi

The tool is applicable for Linux as indicated above.

However, note that this article is for “Legacy” versions -

You will need this version (link) for a 10.7 → 10.11 upgrade and this is applicable on Linux as well.

KM

As with Integration Server Pre-Upgrade Analyzer 10.15, which describes the same tool, should it be called “Post-upgrade analyzer?” One has to install 10.11 and put everything to it first, then run the checks.

Beware terms that don’t have concrete meaning. “Modern” is another one. :slight_smile:

Installation and Upgrade are distinct activities, so Pre-Upgrade is still the applicable term. The tool is used after installation, to assess the ZIP archive before executing the actual migration.

Note - I can’t recall if the dependency on a target-version installation has been removed (i.e., if the tool can function independently using a “database” that it ships with containing the necessary content, as opposed to comparing the ZIP archive against a target-version installation).

UPDATED - I suppose the steps in the latest version of the tool (link) answer my question above. However, I’d still like to know if there’s a standalone version to use for Upgrade assessments, versus executions.

As for the term legacy, I am with you - hence the " " surrounding it :slight_smile:

KM

Hi Team,

We have tried in Linux platform and we haven’t got any info for the analyser.

Could you please let us know we have to install code analyser only after installing the latest version of the web methods and then execute?

Thanks,
Janavi

There is no current standalone version.

The current code analyzer is designed to be run on the target version, and Linux is also supported. Some Linux distributions require installing the fontconfig package.

Janavi S

Kasi Mugada

Aug 29

Hi Team,

We have tried in Linux platform and we haven’t got any info for the analyser.

Could you please let us know we have to install and check the code analyser tool only after installing the latest version(Not the actual migration only latest version installation) of the web methods in the same server where the old version is installed.

Thanks,
Janavi

Question - What is your target version? Is is 10.7 or 10.11?

And yes, you need the target (i.e., new) version installed as Theo confirmed above -

KM